package net.bo;

import java.sql.Date;

import net.ko.kobject.KObject;
import net.ko.persistence.annotation.Entity;
import net.ko.persistence.annotation.Table;
import net.ko.kobject.KListObject;


/**
* Classe KEvaluation
*/
@SuppressWarnings("serial")
@Entity
@Table(name="evaluation")
public class KEvaluation extends KObject {
	private Date date;
	private int idEntreprise;
	private String mail;
	private KEntreprise entreprise;
	private KListObject<KDetail> details;

	public KEvaluation() {
		super();
		//hasManyBelongsTo(KDetail.class, KCritere.class,"idCritere");
		//belongsTo(KEntreprise.class);
		details=new KListObject<>(KDetail.class);
	}
	/**
	 * return the value of date
	 * @return date
	 */
	public Date getDate(){
		return this.date;
	}
	/**
	 * return the value of idEntreprise
	 * @return idEntreprise
	 */
	public int getIdEntreprise(){
		return this.idEntreprise;
	}
	/**
	 * return the value of mail
	 * @return mail
	 */
	public String getMail(){
		return this.mail;
	}
	/**
	 * return the value of entreprise
	 * @return entreprise
	 */
	public KEntreprise getEntreprise(){
		return this.entreprise;
	}
	/**
	 * return the value of details
	 * @return details
	 */
	public KListObject<KDetail> getDetails(){
		return this.details;
	}

	/**
	 * set the value of date
	 * @param aDate
	 */
	public void setDate(Date aDate){
		this.date=aDate;
	}
	/**
	 * set the value of idEntreprise
	 * @param aIdEntreprise
	 */
	public void setIdEntreprise(int aIdEntreprise){
		this.idEntreprise=aIdEntreprise;
	}
	/**
	 * set the value of mail
	 * @param aMail
	 */
	public void setMail(String aMail){
		this.mail=aMail;
	}
	/**
	 * set the value of entreprise
	 * @param aEntreprise
	 */
	public void setEntreprise(KEntreprise aEntreprise){
		this.entreprise=aEntreprise;
	}
	/**
	 * set the value of details
	 * @param aDetails
	 */
	public void setDetails(KListObject<KDetail> aDetails){
		this.details=aDetails;
	}
	@Override
	public String toString() {
		return " [mail] = " + mail+" [idEntreprise] = " + idEntreprise+" [date] = " + date;
	}
}