package net.bo;

import net.ko.kobject.KObject;
import net.ko.persistence.annotation.Entity;
import net.ko.persistence.annotation.Table;
import net.ko.persistence.annotation.Id;


/**
* Classe KDetail
*/
@SuppressWarnings("serial")
@Entity
@Table(name="detail")
public class KDetail extends KObject {
	private String commentaire;
	@Id
	private int idCritere;
	@Id
	private int idEvaluation;
	private int note;
	private KCritere critere;
	private KEvaluation evaluation;

	public KDetail() {
		super();
		commentaire="";
		belongsTo(KEvaluation.class);
		belongsTo(KCritere.class);
	}
	/**
	 * return the value of commentaire
	 * @return commentaire
	 */
	public String getCommentaire(){
		return this.commentaire;
	}
	/**
	 * return the value of idCritere
	 * @return idCritere
	 */
	public int getIdCritere(){
		return this.idCritere;
	}
	/**
	 * return the value of idEvaluation
	 * @return idEvaluation
	 */
	public int getIdEvaluation(){
		return this.idEvaluation;
	}
	/**
	 * return the value of note
	 * @return note
	 */
	public int getNote(){
		return this.note;
	}
	/**
	 * return the value of critere
	 * @return critere
	 */
	public KCritere getCritere(){
		return this.critere;
	}
	/**
	 * return the value of evaluation
	 * @return evaluation
	 */
	public KEvaluation getEvaluation(){
		return this.evaluation;
	}

	/**
	 * set the value of commentaire
	 * @param aCommentaire
	 */
	public void setCommentaire(String aCommentaire){
		this.commentaire=aCommentaire;
	}
	/**
	 * set the value of idCritere
	 * @param aIdCritere
	 */
	public void setIdCritere(int aIdCritere){
		this.idCritere=aIdCritere;
	}
	/**
	 * set the value of idEvaluation
	 * @param aIdEvaluation
	 */
	public void setIdEvaluation(int aIdEvaluation){
		this.idEvaluation=aIdEvaluation;
	}
	/**
	 * set the value of note
	 * @param aNote
	 */
	public void setNote(int aNote){
		this.note=aNote;
	}
	/**
	 * set the value of critere
	 * @param aCritere
	 */
	public void setCritere(KCritere aCritere){
		this.critere=aCritere;
	}
	/**
	 * set the value of evaluation
	 * @param aEvaluation
	 */
	public void setEvaluation(KEvaluation aEvaluation){
		this.evaluation=aEvaluation;
	}
	@Override
	public String toString() {
		return " [idEvaluation] = " + idEvaluation+" [idCritere] = " + idCritere+" [commentaire] = " + commentaire+" [note] = " + note;
	}
}