package net.bo;

import net.ko.kobject.KObject;
import net.ko.persistence.annotation.Entity;
import net.ko.persistence.annotation.Table;
import net.ko.kobject.KListObject;


/**
* Classe KVille
*/
@SuppressWarnings("serial")
@Entity
@Table(name="ville")
public class KVille extends KObject {
	private String cp;
	private String ville;
	private KListObject<KEntreprise> entreprises;

	public KVille() {
		super();
		//hasMany(KEntreprise.class);
	}
	/**
	 * return the value of cp
	 * @return cp
	 */
	public String getCp(){
		return this.cp;
	}
	/**
	 * return the value of ville
	 * @return ville
	 */
	public String getVille(){
		return this.ville;
	}
	/**
	 * return the value of entreprises
	 * @return entreprises
	 */
	public KListObject<KEntreprise> getEntreprises(){
		return this.entreprises;
	}

	/**
	 * set the value of cp
	 * @param aCp
	 */
	public void setCp(String aCp){
		this.cp=aCp;
	}
	/**
	 * set the value of ville
	 * @param aVille
	 */
	public void setVille(String aVille){
		this.ville=aVille;
	}
	/**
	 * set the value of entreprises
	 * @param aEntreprises
	 */
	public void setEntreprises(KListObject<KEntreprise> aEntreprises){
		this.entreprises=aEntreprises;
	}
	@Override
	public String toString() {
		return cp +" "+ville;
	}
}